summarylogtreecommitdiffstats
path: root/utils.sh
diff options
context:
space:
mode:
Diffstat (limited to 'utils.sh')
-rw-r--r--utils.sh17
1 files changed, 17 insertions, 0 deletions
diff --git a/utils.sh b/utils.sh
new file mode 100644
index 000000000000..67ddb38a8409
--- /dev/null
+++ b/utils.sh
@@ -0,0 +1,17 @@
+# Utilities
+
+function source_pkg_config() {
+
+ local repository_name="$1"; shift
+
+ if [[ ! -f "${PATH_REPOSITORIES}/${repository_name}/.config" ]]; then
+ echo "The repository ${repository_name} has no config file."
+ exit 1
+ fi
+
+ source "${PATH_REPOSITORIES}/${repository_name}/.config"
+}
+
+function remove_tmp_files() {
+ rm "${PATH_REPOSITORIES}"/*.tmp
+} \ No newline at end of file